Class | Fog::Compute::AWS::Images
In: | lib/fog/aws/models/compute/images.rb
Parent: | Fog::Collection

### Methods

all get new

### Public Class methods

new(attributes)

     Creates a new Amazon machine image

     AWS.images.new

     ==== Returns

     Returns the details of the new image

>> AWS.images.new

      <Fog::AWS::Compute::Image
        id=nil,
        architecture=nil,
        block_device_mapping=nil,
        location=nil,
        owner_id=nil,
        state=nil,
        type=nil,
        is_public=nil,
        kernel_id=nil,
        platform=nil,
        product_codes=nil,
        ramdisk_id=nil,
        root_device_type=nil,
        root_device_name=nil,
        tags=nil
      >

### Public Instance methods

all(filters = filters)
get(image_id)

[Validate]